Subject: Re: [bug#31881] [PATCH 4/4] gnu: Add go-github-com-docker-distribution.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 07 Jul 2018 18:08:33 +0200

Hello!

Pierre-Antoine Rouby <[email-masked]> skribis:

>> From: "Leo Famulari" <[email-masked]>
>>> +      (source
>>> +       (origin
>>> +         (method git-fetch)
>>> +         (uri (git-reference
>>> +               (url "https://github.com/docker/distribution")
>>> +               (commit commit)))
>>
>> This bundles its entire dependency graph, including the logrus module
>> you just packaged, and some other things we have packaged:
>
> I'm not sure vendor version is the same as package version. I have the
> impression some Go package have no tag or CHANGELOG, so I'm not sure for
> compatibility. Without explicit version number I thinks is more sure to
> use the vendor version.
>
>> I think it's okay to add the package with the bundled code if everything
>> is freely licensed. Can you confirm that it is?
>
> Yes, everything is free.

Based on this I went ahead and applied it, but I added a FIXME about
bundling.

P-A, could you look into unbundling at least those that are already
packaged?

Thank you!

Ludo’.